[Bug 118941] Please sync regina-normal (universe) from Debian unstable (main)

Miguel Ruiz mruiz at ubuntu.com
Wed Jun 6 12:39:11 BST 2007


Public bug reported:

Please sync regina-normal (universe) 4.3.1-4 from Debian unstable
(main).

The Ubuntu delta can be dropped, because the following changes are added
in Debian's version 4.3.1-4

regina-normal (4.3.1-3ubuntu1) feisty; urgency=low

  * Explicitely build using python2.5.

The following changes are in the newer Debian version:

regina-normal (4.3.1-4) unstable; urgency=low

  * Update autoconf boost check to account for the recent transition
    from libboost_python.so to libboost_python-mt.so (closes: #425926).
  * Update all dependencies to require python2.5, since this is now what
    boost uses.  Build-depends on libboost-python-dev >= 1.34.0 accordingly.
  * Incorporate patch from upstream SVN that removes virtual templates,
    thus allowing regina-normal to build under gcc-4.2 (closes: #370183).
  * The patch above removes the NVertexEnumerator class completely, and
    makes all enumeration routines in NDoubleDescriptor static.  For this
    reason, the libraries in /usr/lib/ have changed their release version
    from 4.3.1 to 4.3.1a.  Any third-party code that links against these
    libraries will need to be rebuilt.
  * Switch from DH_COMPAT to debian/compat.
  * Bump standards-version to 3.7.2.2 (no changes required).

 -- Ben Burton <bab at debian.org>  Sat, 26 May 2007 09:20:55 +1000

** Affects: regina-normal (Ubuntu)
     Importance: Undecided
         Status: Unconfirmed

-- 
Please sync regina-normal (universe) from Debian unstable (main)
https://bugs.launchpad.net/bugs/118941
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list